# Get Fiat Currencies GET https://api-gateway-stg.transak.com/api/v2/lookup/currencies/fiat-currencies The **Get Fiat Currencies** API allows you to fetch the list of supported fiat currencies along with their respective **supported countries**, **payment methods**, and **transaction limits**. Since different **payment methods** have varying **transaction limits**, this API provides details on the limits applicable for each fiat currency. This is a **public API endpoint**, so no authentication is required. Reference: https://docs.transak.com/api/whitelabel/lookup/get-fiat-currencies ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: whitelabel-api version: 1.0.0 paths: /api/v2/lookup/currencies/fiat-currencies: get: operationId: get-fiat-currencies summary: Get Fiat Currencies description: >- The **Get Fiat Currencies** API allows you to fetch the list of supported fiat currencies along with their respective **supported countries**, **payment methods**, and **transaction limits**. Since different **payment methods** have varying **transaction limits**, this API provides details on the limits applicable for each fiat currency. This is a **public API endpoint**, so no authentication is required. tags: - subpackage_lookUp parameters: - name: apiKey in: query description: Your API Key from Transak Dashboard required: true schema: type: string default: YOUR_API_KEY responses: '200': description: 200 - Success content: application/json: schema: $ref: '#/components/schemas/LookUp_get-fiat-currencies_Response_200' '500': description: 500 - Internal Server Error content: application/json: schema: $ref: >- #/components/schemas/Get-fiat-currenciesRequestInternalServerError servers: - url: https://api-gateway-stg.transak.com components: schemas: ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaDataFiatCurrenciesItemsPaymentOptionsItems: type: object properties: name: type: string id: type: string processingTime: type: string icon: type: string maxAmount: type: integer minAmount: type: integer isBuyAllowed: type: boolean defaultAmount: type: integer isSellAllowed: type: boolean minAmountForSell: type: integer maxAmountForSell: type: integer defaultAmountForSell: type: integer isNftAllowed: type: boolean limitCurrency: type: string required: - name - id - processingTime - icon - maxAmount - minAmount - isBuyAllowed - defaultAmount - isSellAllowed - minAmountForSell - maxAmountForSell - defaultAmountForSell - isNftAllowed - limitCurrency title: >- ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaDataFiatCurrenciesItemsPaymentOptionsItems ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaDataFiatCurrenciesItems: type: object properties: paymentOptions: type: array items: $ref: >- #/components/schemas/ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaDataFiatCurrenciesItemsPaymentOptionsItems symbol: type: string name: type: string isAllowed: type: boolean roundOff: type: integer isSellAllowed: type: boolean icon: type: string required: - paymentOptions - symbol - name - isAllowed - roundOff - isSellAllowed - icon title: >- ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaDataFiatCurrenciesItems ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaData: type: object properties: fiatCurrencies: type: array items: $ref: >- #/components/schemas/ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaDataFiatCurrenciesItems required: - fiatCurrencies title: >- ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaData LookUp_get-fiat-currencies_Response_200: type: object properties: data: $ref: >- #/components/schemas/ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaData required: - data title: LookUp_get-fiat-currencies_Response_200 ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaError: type: object properties: statusCode: type: integer name: type: string message: type: string required: - statusCode - name - message title: >- ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaError Get-fiat-currenciesRequestInternalServerError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupCurrenciesFiatCurrenciesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-fiat-currenciesRequestInternalServerError ``` ## SDK Code Examples ```python Success import requests url = "https://api-gateway-stg.transak.com/api/v2/lookup/currencies/fiat-currencies" querystring = {"apiKey":"YOUR_API_KEY"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api-gateway-stg.transak.com/api/v2/lookup/currencies/fiat-currencies?apiKey=YOUR_API_KEY'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/lookup/currencies/fiat-currencies?apiKey=YOUR_API_KEY" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/lookup/currencies/fiat-currencies?apiKey=YOUR_API_KEY") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/lookup/currencies/fiat-currencies?apiKey=YOUR_API_KEY") .asString(); ``` ```php Success request('GET', 'https://api-gateway-stg.transak.com/api/v2/lookup/currencies/fiat-currencies?apiKey=YOUR_API_KEY'); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/lookup/currencies/fiat-currencies?apiKey=YOUR_API_KEY"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/lookup/currencies/fiat-currencies?apiKey=YOUR_API_KEY")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```